## xorg-gtest 0.7.0

=== data/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# data/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Makefile for the src subdirectory of xorg-gtest
#
# Copyright (C) 2012 Canonical, Ltd.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#


am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/xorg-gtest
pkgincludedir = $(includedir)/xorg-gtest
pkglibdir = $(libdir)/xorg-gtest
pkglibexecdir = $(libexecdir)/xorg-gtest
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = data
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_define_dir.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(datadir)"
DATA = $(nobase_data_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run aclocal-1.11
ADMIN_MAN_DIR = $(mandir)/man$(ADMIN_MAN_SUFFIX)
ADMIN_MAN_SUFFIX = 8
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APP_MAN_DIR = $(mandir)/man$(APP_MAN_SUFFIX)
APP_MAN_SUFFIX = 1
AUTOCONF = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run autoconf
AUTOHEADER = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run autoheader
AUTOMAKE = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run automake-1.11
AWK = gawk
BASE_CPPFLAGS = $(X11_CFLAGS) $(EVEMU_CFLAGS)
BASE_CXXFLAGS =  -Wall -Wpointer-arith -Wmissing-declarations -Wformat=2 -Wunused -Wuninitialized -Wshadow -Wcast-qual -Wmissing-noreturn -Wmissing-format-attribute -Wredundant-decls -Werror=implicit -Werror=nonnull -Werror=init-self -Werror=main -Werror=missing-braces -Werror=sequence-point -Werror=return-type -Werror=trigraphs -Werror=array-bounds -Werror=write-strings -Werror=address -Werror=int-to-pointer-cast -Werror=pointer-to-int-cast
CHANGELOG_CMD = (GIT_DIR=$(top_srcdir)/.git git log > $(top_srcdir)/.changelog.tmp && mv $(top_srcdir)/.changelog.tmp $(top_srcdir)/ChangeLog) || (rm -f $(top_srcdir)/.changelog.tmp; touch $(top_srcdir)/ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
CPPFLAGS = 
CWARNFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"X.org\ Testing\ Environment\ for\ Google\ Test\" -DPACKAGE_TARNAME=\"xorg-gtest\" -DPACKAGE_VERSION=\"0.7.0\" -DPACKAGE_STRING=\"X.org\ Testing\ Environment\ for\ Google\ Test\ 0.7.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"xorg-gtest\" -DVERSION=\"0.7.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DPACKAGE_VERSION_MAJOR=0 -DPACKAGE_VERSION_MINOR=7 -DPACKAGE_VERSION_PATCHLEVEL=0 -DLOGFILE_DIR=\"/tmp\" -DHAVE_EVEMU=1
DEPDIR = .deps
DOXYGEN = /usr/bin/doxygen
DRIVER_MAN_DIR = $(mandir)/man$(DRIVER_MAN_SUFFIX)
DRIVER_MAN_SUFFIX = 4
DUMMY_CONF_PATH = ${datarootdir}/xorg/gtest/dummy.conf
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EVEMU_CFLAGS =  
EVEMU_LIBS = -levemu  
EXEEXT = 
FILE_MAN_DIR = $(mandir)/man$(FILE_MAN_SUFFIX)
FILE_MAN_SUFFIX = 5
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_CMD = (cp -f /usr/share/util-macros/INSTALL $(top_srcdir)/.INSTALL.tmp && mv $(top_srcdir)/.INSTALL.tmp $(top_srcdir)/INSTALL) || (rm -f $(top_srcdir)/.INSTALL.tmp; touch $(top_srcdir)/INSTALL; echo 'util-macros "pkgdatadir" from xorg-macros.pc not found: installing possibly empty INSTALL.' >&2)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIB_MAN_DIR = $(mandir)/man$(LIB_MAN_SUFFIX)
LIB_MAN_SUFFIX = 3
LOGFILE_DIR = /tmp
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run makeinfo
MAN_SUBSTS = 	-e 's|__vendorversion__|"$(PACKAGE_STRING)" "$(XORG_MAN_PAGE)"|' 	-e 's|__xorgversion__|"$(PACKAGE_STRING)" "$(XORG_MAN_PAGE)"|' 	-e 's|__xservername__|Xorg|g' 	-e 's|__xconfigfile__|xorg.conf|g' 	-e 's|__projectroot__|$(prefix)|g' 	-e 's|__apploaddir__|$(appdefaultdir)|g' 	-e 's|__appmansuffix__|$(APP_MAN_SUFFIX)|g' 	-e 's|__drivermansuffix__|$(DRIVER_MAN_SUFFIX)|g' 	-e 's|__adminmansuffix__|$(ADMIN_MAN_SUFFIX)|g' 	-e 's|__libmansuffix__|$(LIB_MAN_SUFFIX)|g' 	-e 's|__miscmansuffix__|$(MISC_MAN_SUFFIX)|g' 	-e 's|__filemansuffix__|$(FILE_MAN_SUFFIX)|g'
MISC_MAN_DIR = $(mandir)/man$(MISC_MAN_SUFFIX)
MISC_MAN_SUFFIX = 7
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = xorg-gtest
PACKAGE_BUGREPORT = 
PACKAGE_NAME = X.org Testing Environment for Google Test
PACKAGE_STRING = X.org Testing Environment for Google Test 0.7.0
PACKAGE_TARNAME = xorg-gtest
PACKAGE_URL = 
PACKAGE_VERSION = 0.7.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SOURCEDIR = ${prefix}/src/xorg-gtest
STRICT_CXXFLAGS =  -pedantic -Werror -Werror=attributes
STRIP = 
VERSION = 0.7.0
X11_CFLAGS =  
X11_LIBS = -lX11 -lXi  
XORG_MALLOC_DEBUG_ENV = MALLOC_PERTURB_=15
XORG_MAN_PAGE = X Version 11
abs_builddir = /home/stephenw/projects/xorg-gtest/xorg-gtest/data
abs_srcdir = /home/stephenw/projects/xorg-gtest/xorg-gtest/data
abs_top_builddir = /home/stephenw/projects/xorg-gtest/xorg-gtest
abs_top_srcdir = /home/stephenw/projects/xorg-gtest/xorg-gtest
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
nobase_data_DATA = \
	xorg/gtest/dummy.conf \
	X11/xorg.conf.d/99-virtual-test-devices.conf

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign data/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign data/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)

=== debian/changelog ===
xorg-gtest (0.7.0-0ubuntu5) raring; urgency=low

  * debian/patches/gtest_extra_ldflags.patch: push extra LDFLAGS required to
    build against gtest / X11.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 04 Mar 2013 16:25:12 -0500

xorg-gtest (0.7.0-0ubuntu4) raring; urgency=low

  * debian/patches/va_list_usage_armhf.patch: Fix FTBFS on armhf: you can't
    compare va_list to NULL directly due to its implementation on arm.
    (LP: #1136306)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 28 Feb 2013 15:27:13 -0500

xorg-gtest (0.7.0-0ubuntu3) raring; urgency=low

  * debian/patches/0003-remove-timeout-truncation-warning.patch:
    Elimiate compile-time warnings that cause problems when -Werror is enabled
    (lp: #1110728).

 -- Stephen M. Webb <stephen.webb@ubuntu.com>  Wed, 30 Jan 2013 17:03:28 -0500

xorg-gtest (0.7.0-0ubuntu2) raring; urgency=low

  * debian/libxorg-test-dev.install: only install files from usr/include/xorg,
    so as not to try to install files already owned by libgtest-dev (esp. since
    we Depends on libgtest-dev anyway...)
  * debian/rules: explicitly remove usr/include/gtest from the install; it's
    provided by libgtest-dev. (LP: #1102478)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 21 Jan 2013 11:43:24 -0500

xorg-gtest (0.7.0-0ubuntu1) raring; urgency=low

  * New upstream release (lp:  #1100382).
  * debian/control: added valgrind as a build dependency (for tests).
  * debian/source/format: changed to 3.0 (quilt)
  * fixed 'make check' target so it does not fail in Ubuntu
  * debian/control (Standards-Version): updated to 3.9.4 (no changes required)
  * debian/copyright: updated

 -- Stephen M. Webb <stephen.webb@ubuntu.com>  Fri, 18 Jan 2013 16:11:32 -0500

xorg-gtest (0.3.0-0ubuntu2) quantal; urgency=low

  * debian/control: Depends on xserver-xorg-video-dummy, it seems required
    (without it ido would bail on in tests)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Aug 2012 11:18:40 +0200

xorg-gtest (0.3.0-0ubuntu1) quantal; urgency=low

  * Ship usr/share/X11/xorg.conf.d/99-virtual-test-devices.conf
  * Update to version 0.3.0
    - Prevent other X servers from grabbing test devices
    - Kill dummy server if test program dies
    - Provide a full X server layout to ensure the dummy video driver is used
    - Wait for dummy server to shut down before exiting
    - Namespace header filenames to prevent clashes with other headers
    - Better logging and error handling
    - Perform checks to see if dummy server could start before attempting
    - Enable the highest verbosity level for the dummy server log file

 -- Chase Douglas <chase.douglas@ubuntu.com>  Fri, 08 Jun 2012 12:39:52 -0700

xorg-gtest (0.2.0-0ubuntu2) precise; urgency=low

  * Make libxorg-gtest-dev depend on xutils-dev >= 1:7.7~1 (LP: #960528)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 20 Mar 2012 13:00:53 -0700

xorg-gtest (0.2.0-0ubuntu1) precise; urgency=low

  * Update to xorg-gtest 0.2.0
    - Remove precompiled libraries and
    - Update for source-only distribution (LP: #959836)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 19 Mar 2012 18:39:04 -0700

xorg-gtest (0.1.1-0ubuntu2) precise; urgency=low

  * Really fix per-arch symbol for amd64 and powerpc

 -- Chase Douglas <chase.douglas@ubuntu.com>  Fri, 24 Feb 2012 14:18:50 -0800

xorg-gtest (0.1.1-0ubuntu1) precise; urgency=low

  * Update debian/copyright with new upstream location
  * Bump build-depends to debhelper 9, now that it's released
  * Add README.Debian to document dependency of libxorg-gtest0 on libgtest-dev
  * New release 0.1.1 (bug fixes only)
  * Use per-arch symbol listing for method with va_list argument

 -- Chase Douglas <chase.douglas@ubuntu.com>  Fri, 24 Feb 2012 09:44:47 -0800

xorg-gtest (0.1.0-0ubuntu1) precise; urgency=low

  [ Daniel d'Andrada ]
  * Initial release (LP: #932848)

  [ Chase Douglas ]
  * Fix linking against X server libs
    - Added 0001-Fix-linking-against-X-server-libs.patch

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 15 Feb 2012 09:18:17 -0800

## xorg-gtest 0.7.1

=== data/Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
-# Makefile.in generated by automake 1.11.6 from Makefile.am.
+# Makefile.in generated by automake 1.12.2 from Makefile.am.
 # data/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
-# Foundation, Inc.
+# Copyright (C) 1994-2012 Free Software Foundation, Inc.
+
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -86,12 +85,18 @@
 mkinstalldirs = $(install_sh) -d
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
+AM_V_P = $(am__v_P_$(V))
+am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
+am__v_P_0 = false
+am__v_P_1 = :
 AM_V_GEN = $(am__v_GEN_$(V))
 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
-am__v_GEN_0 = @echo "  GEN   " $@;
+am__v_GEN_0 = @echo "  GEN     " $@;
+am__v_GEN_1 = 
 AM_V_at = $(am__v_at_$(V))
 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
 am__v_at_0 = @
+am__v_at_1 = 
 SOURCES =
 DIST_SOURCES =
 am__can_run_installinfo = \
@@ -129,16 +134,16 @@
 am__installdirs = "$(DESTDIR)$(datadir)"
 DATA = $(nobase_data_DATA)
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run aclocal-1.11
+ACLOCAL = ${SHELL} /home/whot/code/xorg-gtest/missing --run aclocal-1.12
 ADMIN_MAN_DIR = $(mandir)/man$(ADMIN_MAN_SUFFIX)
 ADMIN_MAN_SUFFIX = 8
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 APP_MAN_DIR = $(mandir)/man$(APP_MAN_SUFFIX)
 APP_MAN_SUFFIX = 1
-AUTOCONF = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/whot/code/xorg-gtest/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/whot/code/xorg-gtest/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/whot/code/xorg-gtest/missing --run automake-1.12
 AWK = gawk
 BASE_CPPFLAGS = $(X11_CFLAGS) $(EVEMU_CFLAGS)
 BASE_CXXFLAGS =  -Wall -Wpointer-arith -Wmissing-declarations -Wformat=2 -Wunused -Wuninitialized -Wshadow -Wcast-qual -Wmissing-noreturn -Wmissing-format-attribute -Wredundant-decls -Werror=implicit -Werror=nonnull -Werror=init-self -Werror=main -Werror=missing-braces -Werror=sequence-point -Werror=return-type -Werror=trigraphs -Werror=array-bounds -Werror=write-strings -Werror=address -Werror=int-to-pointer-cast -Werror=pointer-to-int-cast
@@ -148,9 +153,9 @@
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
-CXXFLAGS = -g -O2
+CXXFLAGS = -O0 -Wall -ggdb3
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"X.org\ Testing\ Environment\ for\ Google\ Test\" -DPACKAGE_TARNAME=\"xorg-gtest\" -DPACKAGE_VERSION=\"0.7.0\" -DPACKAGE_STRING=\"X.org\ Testing\ Environment\ for\ Google\ Test\ 0.7.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"xorg-gtest\" -DVERSION=\"0.7.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DPACKAGE_VERSION_MAJOR=0 -DPACKAGE_VERSION_MINOR=7 -DPACKAGE_VERSION_PATCHLEVEL=0 -DLOGFILE_DIR=\"/tmp\" -DHAVE_EVEMU=1
+DEFS = -DPACKAGE_NAME=\"X.org\ Testing\ Environment\ for\ Google\ Test\" -DPACKAGE_TARNAME=\"xorg-gtest\" -DPACKAGE_VERSION=\"0.7.1\" -DPACKAGE_STRING=\"X.org\ Testing\ Environment\ for\ Google\ Test\ 0.7.1\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"xorg-gtest\" -DVERSION=\"0.7.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DPACKAGE_VERSION_MAJOR=0 -DPACKAGE_VERSION_MINOR=7 -DPACKAGE_VERSION_PATCHLEVEL=1 -DLOGFILE_DIR=\"/tmp\" -DHAVE_EVEMU=1
 DEPDIR = .deps
 DOXYGEN = /usr/bin/doxygen
 DRIVER_MAN_DIR = $(mandir)/man$(DRIVER_MAN_SUFFIX)
@@ -159,15 +164,15 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
-EVEMU_CFLAGS =  
-EVEMU_LIBS = -levemu  
+EGREP = /usr/bin/grep -E
+EVEMU_CFLAGS = -I/opt/xorg/include  
+EVEMU_LIBS = -L/opt/xorg/lib -levemu  
 EXEEXT = 
 FILE_MAN_DIR = $(mandir)/man$(FILE_MAN_SUFFIX)
 FILE_MAN_SUFFIX = 5
-GREP = /bin/grep
+GREP = /usr/bin/grep
 INSTALL = /usr/bin/install -c
-INSTALL_CMD = (cp -f /usr/share/util-macros/INSTALL $(top_srcdir)/.INSTALL.tmp && mv $(top_srcdir)/.INSTALL.tmp $(top_srcdir)/INSTALL) || (rm -f $(top_srcdir)/.INSTALL.tmp; touch $(top_srcdir)/INSTALL; echo 'util-macros "pkgdatadir" from xorg-macros.pc not found: installing possibly empty INSTALL.' >&2)
+INSTALL_CMD = (cp -f /opt/xorg/share/util-macros/INSTALL $(top_srcdir)/.INSTALL.tmp && mv $(top_srcdir)/.INSTALL.tmp $(top_srcdir)/INSTALL) || (rm -f $(top_srcdir)/.INSTALL.tmp; touch $(top_srcdir)/INSTALL; echo 'util-macros "pkgdatadir" from xorg-macros.pc not found: installing possibly empty INSTALL.' >&2)
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -180,39 +185,39 @@
 LOGFILE_DIR = /tmp
 LTLIBOBJS = 
 MAINT = 
-MAKEINFO = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/missing --run makeinfo
-MAN_SUBSTS = 	-e 's|__vendorversion__|"$(PACKAGE_STRING)" "$(XORG_MAN_PAGE)"|' 	-e 's|__xorgversion__|"$(PACKAGE_STRING)" "$(XORG_MAN_PAGE)"|' 	-e 's|__xservername__|Xorg|g' 	-e 's|__xconfigfile__|xorg.conf|g' 	-e 's|__projectroot__|$(prefix)|g' 	-e 's|__apploaddir__|$(appdefaultdir)|g' 	-e 's|__appmansuffix__|$(APP_MAN_SUFFIX)|g' 	-e 's|__drivermansuffix__|$(DRIVER_MAN_SUFFIX)|g' 	-e 's|__adminmansuffix__|$(ADMIN_MAN_SUFFIX)|g' 	-e 's|__libmansuffix__|$(LIB_MAN_SUFFIX)|g' 	-e 's|__miscmansuffix__|$(MISC_MAN_SUFFIX)|g' 	-e 's|__filemansuffix__|$(FILE_MAN_SUFFIX)|g'
+MAKEINFO = ${SHELL} /home/whot/code/xorg-gtest/missing --run makeinfo
+MAN_SUBSTS = 	-e 's|__vendorversion__|"$(PACKAGE_STRING)" "$(XORG_MAN_PAGE)"|' 	-e 's|__xorgversion__|"$(PACKAGE_STRING)" "$(XORG_MAN_PAGE)"|' 	-e 's|__xservername__|Xorg|g' 	-e 's|__xconfigfile__|xorg.conf|g' 	-e 's|__xorgconfdir__|xorg.conf.d|g' 	-e 's|__projectroot__|$(prefix)|g' 	-e 's|__apploaddir__|$(appdefaultdir)|g' 	-e 's|__appmansuffix__|$(APP_MAN_SUFFIX)|g' 	-e 's|__drivermansuffix__|$(DRIVER_MAN_SUFFIX)|g' 	-e 's|__adminmansuffix__|$(ADMIN_MAN_SUFFIX)|g' 	-e 's|__libmansuffix__|$(LIB_MAN_SUFFIX)|g' 	-e 's|__miscmansuffix__|$(MISC_MAN_SUFFIX)|g' 	-e 's|__filemansuffix__|$(FILE_MAN_SUFFIX)|g'
 MISC_MAN_DIR = $(mandir)/man$(MISC_MAN_SUFFIX)
 MISC_MAN_SUFFIX = 7
-MKDIR_P = /bin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 OBJEXT = o
 PACKAGE = xorg-gtest
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = X.org Testing Environment for Google Test
-PACKAGE_STRING = X.org Testing Environment for Google Test 0.7.0
+PACKAGE_STRING = X.org Testing Environment for Google Test 0.7.1
 PACKAGE_TARNAME = xorg-gtest
 PACKAGE_URL = 
-PACKAGE_VERSION = 0.7.0
+PACKAGE_VERSION = 0.7.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
-PKG_CONFIG_PATH = 
+PKG_CONFIG_PATH = /opt/xorg/lib/pkgconfig:/opt/xorg/share/pkgconfig
 RANLIB = ranlib
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
-SHELL = /bin/bash
+SHELL = /bin/sh
 SOURCEDIR = ${prefix}/src/xorg-gtest
 STRICT_CXXFLAGS =  -pedantic -Werror -Werror=attributes
 STRIP = 
-VERSION = 0.7.0
-X11_CFLAGS =  
-X11_LIBS = -lX11 -lXi  
+VERSION = 0.7.1
+X11_CFLAGS = -I/opt/xorg/include  
+X11_LIBS = -L/opt/xorg/lib -lX11 -lXi  
 XORG_MALLOC_DEBUG_ENV = MALLOC_PERTURB_=15
 XORG_MAN_PAGE = X Version 11
-abs_builddir = /home/stephenw/projects/xorg-gtest/xorg-gtest/data
-abs_srcdir = /home/stephenw/projects/xorg-gtest/xorg-gtest/data
-abs_top_builddir = /home/stephenw/projects/xorg-gtest/xorg-gtest
-abs_top_srcdir = /home/stephenw/projects/xorg-gtest/xorg-gtest
+abs_builddir = /home/whot/code/xorg-gtest/data
+abs_srcdir = /home/whot/code/xorg-gtest/data
+abs_top_builddir = /home/whot/code/xorg-gtest
+abs_top_srcdir = /home/whot/code/xorg-gtest
 ac_ct_CXX = g++
 am__include = include
 am__leading_dot = .
@@ -239,16 +244,16 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/stephenw/projects/xorg-gtest/xorg-gtest/install-sh
+install_sh = ${SHELL} /home/whot/code/xorg-gtest/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
 mandir = ${datarootdir}/man
-mkdir_p = /bin/mkdir -p
+mkdir_p = $(MKDIR_P)
 oldincludedir = /usr/include
 pdfdir = ${docdir}
-prefix = /usr/local
+prefix = /opt/xorg
 program_transform_name = s,x,x,
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin

=== debian/changelog ===
xorg-gtest (0.7.1-5ubuntu1) disco; urgency=medium

  * Disable 0005-Properly-escape-the-D-string-defines.patch until upstream
    issue https://gitlab.freedesktop.org/xorg/test/xorg-gtest/issues/1 is
    resolved, to make compiz buildable again.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 04 Feb 2019 23:09:38 +0300

xorg-gtest (0.7.1-5) unstable; urgency=medium

  * debian/rules:
    + Ignore unit test failures. They don't appear in local sbuild runs.
      Only on Debian buildd infrastructure we see them. (Closes: #902525).
    + Use dh_missing override for --fail-missing check.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/{control,compat}:
    + Drop compat file. Switch to debhelper-compat notation in control file.
      Bump to DH compat level version 12.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Feb 2019 12:17:12 +0100

xorg-gtest (0.7.1-4) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/patches:
    + Cherry-pick all latest patches from upstream:
      0002-xserver-improve-error-code-reporting.patch
      0003-doc-update-doxygen-file.patch
      0004-doc-remove-DOT_FONTNAME-from-doxygen.in.patch
      0005-Properly-escape-the-D-string-defines.patch.
  * debian/rules:
    + Move xorg-gtest.pc to arch-indep path (/usr/share/pkgconfig/) after
      dh_install.
  * debian/copyright:
    + Use secure URL in Source: field.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Aug 2018 13:07:58 +0200

xorg-gtest (0.7.1-3) unstable; urgency=medium

  * debian/patches:
    + Add sigunused_removed_from_glib_2_26.patch. (Closes: #891735).
  * debian/control:
    + Bump Standards-Version: to 4.1.4.
    + Priority extra -> optional.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
  * debian/watch:
    + Use secure URL to obtain upstream sources.
  * debian/libxorg-gtest-dev.examples:
    + Add *.cpp from upstream's examples folder as examples.
  * debian/{control,compat}:
    + Bump to DH compat level 11. Also drop dh-autoreconf from B-D.
  * debian/rules:
    + Drop unnecessary --parallel option from debhelper call.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Apr 2018 12:00:50 +0200

xorg-gtest (0.7.1-2) unstable; urgency=medium

  * Re-upload to unstable unchanged.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 23:34:54 +0200

xorg-gtest (0.7.1-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #699403).
  * debian/*: Debianize Ubuntu package (Maintainer: field, Uploaders: field,
    Vcs-*: fields, etc.).

  * debian/watch:
    + Update upstream URL.
  * debian/control:
    + Add get-orig-source rule.
    + Avoid FTBFS on well-known architecture that do not have valgrind
      available.
  * debian/rules:
    + Don't run unit tests in parallel. We saw build failures hinting to a
      not-yet-started Xvfb instance.
    + Use doc's package folder as --docdir in configure run.
  * debian/{control,rules}:
    + Avoid duplicate files in doxygen generated docs.
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Rewrite from scratch. Ubuntu had GPL-3+ everywhere whereas upstream has
      MIT/X11 in most places. Mention files individually.
  * debian/README.source:
    + Drop. Quilt packaging should not require a README anymore nowadays.
  * debian/*.doc-base:
    + Add API documentation to doc-base.
  * debian/patches:
    + Mention our patch naming scheme in a README file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 May 2017 13:29:34 +0200

xorg-gtest (0.7.1-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Drop upstreamed patches.
    - 0001-fix-example-failures.patch
    - 0002-fix-valgrind-test-failure.patch
    - 0003-remove-timeout-truncation-warning.patch
  * Add upstream patch.
    - 0001-device-add-HasEvent-and-GetAbsData.patch

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Tue, 16 Jul 2013 10:40:34 +0200

=== debian/control ===
Source: xorg-gtest
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>
Build-Depends: automake,
               debhelper-compat (= 12),
               doxygen,
               libgtest-dev,
               libtool,
               libx11-dev,
               libxi-dev,
               pkg-config,
               rdfind,
               symlinks,
               valgrind [!arm64 !ppc64el !armel !alpha !hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !sparc64 !x32],
               xserver-xorg-core,
               xserver-xorg-dev,
               xserver-xorg-video-dummy,
               xutils-dev (>= 1:7.7~1)
Standards-Version: 4.3.0
Section: libs
Homepage: https://cgit.freedesktop.org/xorg/test/xorg-gtest/
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xorg-gtest.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xorg-gtest

Package: libxorg-gtest-dev
Section: libdevel
Architecture: all
Depends: libgtest-dev,
         libxorg-gtest-data (= ${source:Version}),
         xserver-xorg-video-dummy,
         xutils-dev (>= 1:7.7~1),
         ${misc:Depends}
Description: X.Org dummy testing environment for Google Test - headers
 Provides a Google Test environment for starting and stopping
 a dummy X server for headless testing purposes.
 .
 This package provides the source code and header files for xorg-gtest.

Package: libxorg-gtest-data
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: X.Org dummy testing environment for Google Test - data
 Provides a Google Test environment for starting and stopping
 a dummy X server for headless testing purposes.
 .
 This package provides data files needed for normal execution.

Package: libxorg-gtest-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: X.org dummy testing environment for Google Test - documentation
 Provides a Google Test environment for starting and stopping
 a dummy X server for headless testing purposes.
 .
 API and specification documentation for developing with xorg-gtest.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

# Install xorg-gtest.pc file in architecture independent directory
override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib \
                             --docdir=/usr/share/doc/libxorg-gtest-doc

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_install:
	rm -rf debian/tmp/usr/include/gtest
	dh_install -Xjquery.js
	rdfind -makesymlinks true debian/libxorg-gtest-doc/usr/share/doc/libxorg-gtest-doc/html/search/
	symlinks -c debian/libxorg-gtest-doc/usr/share/doc/libxorg-gtest-doc/html/search/
	# move .pc file to arch-indep path
	mkdir -p debian/libxorg-gtest-dev/usr/share/pkgconfig/
	mv debian/libxorg-gtest-dev/usr/lib/pkgconfig/xorg-gtest.pc debian/libxorg-gtest-dev/usr/share/pkgconfig/
	rmdir debian/libxorg-gtest-dev/usr/lib/pkgconfig/
	rmdir debian/libxorg-gtest-dev/usr/lib/

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	-dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
https://www.x.org/archive/individual/test/xorg-gtest-(.+).tar.bz2
